import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import { useMemo } from 'react';
import { MatchColumnsFields } from './MatchColumnsFields.js';
import { generateOptions } from '../utils/generateOptions.js';
import { Box, Text, Button } from '@chakra-ui/react';

const MATCH_COLUMNS_TITLE = "Validate if columns were matched correctly";
const CANCEL_BUTTON_TITLE = "Cancel";
const CONFIRM_BUTTON_TITLE = "Confirm and continue";
const MatchColumns = ({ onCancel, headerValues, table, onContinue, error, values, loading, }) => {
    const options = useMemo(() => generateOptions(table), [table]);
    // const generatedSchema = useMemo(
    //   () =>
    //     yup.object(
    //       Object.fromEntries(
    //         headerValues.map((headerValue) => [
    //           headerValue,
    //           yup
    //             .string()
    //             .required(REQUIRED_ERROR_TEXT)
    //             .test(
    //               "duplicate",
    //               DUPLICATE_COLUMN_TEXT,
    //               (value: string | undefined, context: { [key: string]: any }): any => {
    //                 const isUnique =
    //                   Object.values(context.parent).filter((parentValue) => value && parentValue === value).length <= 1
    //                 return isUnique
    //               },
    //             ),
    //         ]),
    //       ),
    //     ),
    //   [headerValues],
    // )
    //<Form onSubmit={onContinue} initialValues={values} validation={generatedSchema}>
    return (jsxs(Fragment, { children: [jsxs(Box, { minH: "5.375rem", display: "flex", alignItems: "center", px: "0.75rem", children: [jsx(Text, { variant: "h5", mr: "1rem", children: MATCH_COLUMNS_TITLE }, void 0), jsxs(Box, { display: "flex", flex: 1, justifyContent: "flex-end", children: [jsx(Button, { variant: "outline", mr: "1rem", onClick: onCancel, children: CANCEL_BUTTON_TITLE }, void 0), jsx(Button, { type: "submit", isLoading: loading, children: CONFIRM_BUTTON_TITLE }, void 0)] }, void 0)] }, void 0), error && (jsx(Text, { color: "red.500", pl: 1, pb: 1, children: error }, void 0)), jsx(MatchColumnsFields, { headerValues: headerValues, options: options }, void 0)] }, void 0));
};

export { MatchColumns };
